%define name	fbpanel
%define version	6.1
%define release %mkrel 2
%define _enable_debug_packages %{nil}
%define debug_package          %{nil}

Summary: 	Lightweight desktop panel
Name: 	 	%{name}
Version: 	%{version}
Release: 	%{release}
Source:		%{name}-%{version}.tar.xz
URL:		http://fbpanel.sourceforge.net/
License:	GPL
Group:		Graphical desktop/Fluxbox
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	gtk2-devel libxpm-devel libxmu-devel
##Patch1:	fbpanel-4.12-addgenmon.patch
Patch0:		fbpanel-6.1-dsofix.patch
Patch10:	fbpanel-6.1-default-config.patch
Patch11:        fbpanel-6.1-default-applications.patch

%description
fbpanel is a lightweight, NETWM compliant desktop panel. It works with any
NETWM compliant window manager (eg xfwm4, sawfish, openbox, metacity, kde).

It provides:
    * variety of plugins
    * ability to replace window icons
    * all icons follow your current GTK+ icon theme
    * transparency support
    * customizable size and screen position
    * ability to run many instances each with its own configuration
    * modest resource usage

%prep
%setup -q
%patch0 -p1 -b .dsofix
%patch10 -p1 -b .default-config
%patch11 -p1 -b .default-applications
# preserve timestamps during install
sed -i.timstamps -e 's|install -m|install -p -m|' scripts/install.sh
# honor optflags
sed -i.optflags -e 's|-fPIC|-fPIC ${RPM_OPT_FLAGS}|' scripts/custom.sh

%build
# %%configure macro doesn't work
./configure --prefix=/usr \
    --libdir=%{_libdir} \
    --libexecdir=%{_libexecdir} \
    --datadir=%{_datadir} \
    --mandir=%{_mandir}
make %{?_smp_mflags} cflagsx="${RPM_OPT_FLAGS}"

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std 

# man page
install -Dpm 644 data/man/%{name}.1 $RPM_BUILD_ROOT%{_mandir}/man1/%{name}.1

# change some icon names that were also changed in the default panel config
mv $RPM_BUILD_ROOT%{_datadir}/%{name}/images/logo.png \
    $RPM_BUILD_ROOT%{_datadir}/%{name}/images/start-here.png

mv $RPM_BUILD_ROOT%{_datadir}/%{name}/images/gnome-session-halt.png \
    $RPM_BUILD_ROOT%{_datadir}/%{name}/images/system-shutdown.png

mv $RPM_BUILD_ROOT%{_datadir}/%{name}/images/gnome-session-reboot.png \
    $RPM_BUILD_ROOT%{_datadir}/%{name}/images/system-reboot.png

# volume plugin is not working and prevents starting of fbpanel, lets remove it.
# https://sourceforge.net/tracker/?func=detail&aid=3121295&group_id=66031&atid=513125
rm $RPM_BUILD_ROOT%{_libdir}/%{name}/volume.so

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :


%postun
if [ $1 -eq 0 ] ; then
	touch --no-create %{_datadir}/icons/hicolor &>/dev/null
	gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi


%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files
%defattr(-,root,root)
%doc CHANGELOG COPYING CREDITS README NOTES
%{_bindir}/%{name}
%{_libdir}/%{name}/
%{_datadir}/%{name}/
%{_mandir}/man1/%{name}.1.*


%changelog
* Sun Nov 30 2014 pinoc <vogtpet at gmail.com> 6.1-2pclos2014
- added Fedora patches and rebuild for 32/64

* Sat Jul 24 2010 Texstar <texstar at gmail.com> 6.1-1pclos2010
- 6.1

* Sat Mar 27 2010 slick50 <lxgator@gmail.com> 6.0-1pclos2010
- 6.0

* Mon Aug 18 2008 Matthew Dawkins <mdawkins@osource.org> 4.12-2
- added genmon.c & fbpanel-4.12-addgenmon.patch

* Mon Mar 10 2008 P. K. Frederic <pkfric@yahoo.com> 4.12-1pclos2007
- first RPM for PCLinuxOS
- imported from Jérôme Soyer
- fix synaptic group (texstar)
